﻿@model Tuple<ARGNSCSOperation, CostSheetComboSAP>

@{
    string mTrId = "TR_Operation" + Model.Item1.LineId;
    string mItemCode = "Operation_ItemCode" + Model.Item1.LineId;
    string mItemName = "Operation_ItemName" + Model.Item1.LineId;
    string mLineId = "Operation_LineId" + Model.Item1.LineId;
    string mQuantity = "Operation_Quantity" + Model.Item1.LineId;
    string mUoM = "Operation_UoM" + Model.Item1.LineId;
    string mPList = "Operation_PList" + Model.Item1.LineId;
    string mCurrency = "Operation_Currency" + Model.Item1.LineId;
    string mUnitP = "Operation_UnitP" + Model.Item1.LineId;
    string mTotal = "Operation_Total" + Model.Item1.LineId;
    string mIsNew = "Operation_IsNew" + Model.Item1.LineId;

    <tr id='@mTrId'>
        <td>
            <input id='@mItemCode' class="form-control" value='@Model.Item1.U_ItemCode' disabled="disabled" />
            <input type="hidden" id="@mLineId" value="@Model.Item1.LineId" />
        </td>
        <td><input id='@mItemName' class="form-control" value='@Model.Item1.U_ItemName' disabled="disabled" /></td>
        <td><input id='@mQuantity' type="number" class="form-control" value='@(Model.Item1.U_Quantity != null ? Math.Round((decimal)Model.Item1.U_Quantity, 2).ToString() : "")' onchange="ChangeValueOperation(@Model.Item1.LineId);" /></td>
        <td><input id='@mUoM' class="form-control" value='@Model.Item1.U_UoM' onchange="$('#@mUoM').attr('value', $('#@mUoM').val());" /></td>
        <td>
            @Html.DropDownList(@mPList, new SelectList(
                                        Model.Item2.PriceList,
                                                   "ListNum",
                                                   "ListName", Model.Item1.U_PList), new { @Id = @mPList, @class = "form-control"})
        </td>
        <td>
            @Html.DropDownList(mCurrency, new SelectList(
                                        Model.Item2.CurrencyList,
                                                "CurrCode",
                                    "CurrName", Model.Item1.U_Currency), new { @Id = mCurrency, @class = "form-control", @onchange = "ChangeValue(" + Model.Item1.LineId + ");" })
        </td>
        <td><input id='@mUnitP' type="number" class="form-control" value='@(Model.Item1.U_Quantity != null ? Math.Round((decimal)Model.Item1.U_Price, 2).ToString() : "")' onchange="ChangeValueOperation(@Model.Item1.LineId);" /></td>
        <td><input id='@mTotal' class="form-control" disabled="disabled" /></td>
        <td style="display:none;">
            <input id="@mIsNew" value="@(Model.Item1.IsNew ? "true" : "false")" />
        </td>
        @{
            if (Model.Item1.MappedUdf != null && Model.Item1.MappedUdf.Count > 0)
            {
                foreach (var DictRow in Model.Item1.MappedUdf.OrderBy(c => c.UDFName))
                {
                    <td>
                        @if (DictRow.ListUFD1.Count > 0)
                        {
                            @Html.DropDownList(DictRow.UDFName, new SelectList(
                                    DictRow.ListUFD1,
                                    "FldValue",
                                    "Descr", DictRow.Value), new { @Id = "LINEUDF_Operation_" + DictRow.UDFName + Model.Item1.LineId, @Name = "LINEUDF_Operation_" + DictRow.UDFName, @class = "form-control UDFField"})
                        }
                        else
                        {
                            <input id='LINEUDF_Operation_@DictRow.UDFName@Model.Item1.LineId' name="LINEUDF_Operation_@DictRow.UDFName" class="form-control UDFField" value='@DictRow.Value' />
                        }
                    </td>
                }
            }
        }
    </tr>
}